First time trying to deploy Netlify cms (gatsby starter template) fails

Hiya,

I’m trying to get my feet wet for the first time with Netlify CMS and tried starting with the gatsby-starter-template. Unfortunately deploying it fails.
I have followed the link in the documentation and connected my Github account without a problem but the deploying gives failed during stage 'building site': Build script returned non-zero exit code: 1

Anyone an idea what is going wrong?

log:

9:33:09 PM: Build ready to start
9:33:10 PM: build-image version: 2dbd444fcdce00cf06325060a8238d5ae3e86774
9:33:10 PM: build-image tag: v3.3.7
9:33:10 PM: buildbot version: 93ff258b60dcc6c2c8bb9cfe1ece15d7b4f24193
9:33:11 PM: Fetching cached dependencies
9:33:11 PM: Failed to fetch cache, continuing with build
9:33:11 PM: Starting to prepare the repo for build
9:33:11 PM: No cached dependencies found. Cloning fresh repo
9:33:11 PM: git clone https://github.com/AustinGreen/gatsby-starter-netlify-cms
9:33:14 PM: Preparing Git Reference refs/heads/master
9:33:14 PM: Found Netlify configuration file netlify.toml in site root
9:33:14 PM: Found Netlify configuration file(s). Overriding site configuration
9:33:14 PM: Different functions path detected, going to use the one specified in the Netlify configuration file: 'lambda' versus '' in the Netlify UI
9:33:14 PM: Creating functions prep folder
9:33:14 PM: Starting build script
9:33:14 PM: Installing dependencies
9:33:15 PM: Downloading and installing node v10.20.1...
9:33:16 PM: Downloading https://nodejs.org/dist/v10.20.1/node-v10.20.1-linux-x64.tar.xz...
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: #
9:33:16 PM: 5
9:33:16 PM: 0.5%
9:33:16 PM: 
#################################
9:33:16 PM: ####################################### 100.0%
9:33:16 PM: Computing checksum with sha256sum
9:33:16 PM: Checksums matched!
9:33:18 PM: Now using node v10.20.1 (npm v6.14.4)
9:33:19 PM: Attempting ruby version 2.6.2, read from environment
9:33:20 PM: Using ruby version 2.6.2
9:33:20 PM: Using PHP version 5.6
9:33:20 PM: Started restoring cached node modules
9:33:20 PM: Finished restoring cached node modules
9:33:20 PM: Started restoring cached yarn cache
9:33:20 PM: Finished restoring cached yarn cache
9:33:20 PM: Installing yarn at version 1.9.4
9:33:20 PM: Installing Yarn!
9:33:20 PM: > Downloading tarball...
9:33:20 PM: [
9:33:20 PM: 1
9:33:20 PM: /
9:33:20 PM: 2
9:33:20 PM: ]
9:33:20 PM: :
9:33:20 PM: h
9:33:20 PM: t
9:33:20 PM: t
9:33:20 PM: p
9:33:20 PM: s
9:33:20 PM: :
9:33:20 PM: /
9:33:20 PM: /
9:33:20 PM: y
9:33:20 PM: a
9:33:20 PM: r
9:33:20 PM: n
9:33:20 PM: p
9:33:20 PM: k
9:33:20 PM: g
9:33:20 PM: .
9:33:20 PM: c
9:33:20 PM: o
9:33:20 PM: m/downloads/1.9.4
9:33:20 PM: /yarn-v1.9.4.tar.gz --> /tmp/yarn.tar.gz.jeuIu5XgaP
9:33:20 PM:   %
9:33:20 PM:  Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
9:33:20 PM:                                  Dload  Upload   Total   Spent    Left  Speed
9:33:20 PM: 
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
9:33:21 PM: 
100    78  100    78    0
9:33:21 PM:   0    190      0 --:--:-- --:--:-- --:--:--   191
9:33:21 PM: 
  0     0    0     0    0     0
9:33:21 PM: 0      0 --:--:-- --:--:-- --:--:--     0
9:33:21 PM: 
100    91  100    91    0     0    119      0 --:--:--
9:33:21 PM: --:--:-- --:--:--  1034
9:33:21 PM: 
100   629  100   629    0     0    547      0  0:00:01
9:33:21 PM: 0:00:01 --:--:--   547
9:33:22 PM: 
100  915k  100  915k    0     0   594k      0  0:00:01  0:00:01 --:
9:33:22 PM: --:--  594k
9:33:22 PM: [2/2]: https://yarn
9:33:22 PM: pkg.com/downloads/1.9.4/yarn-v1.9.4.tar
9:33:22 PM: .gz.asc --> /tmp/yarn.tar.gz.jeuIu5XgaP.
9:33:22 PM: asc
9:33:22 PM: 
100    82  100    82    0     0   1896
9:33:22 PM:       0 --:--:-- --:--:-- --:--:--  1896
9:33:22 PM: 
100    95  100    95    0     0   1095
9:33:22 PM: 0 --:--:-- --:--:-- --:--:--  1095
9:33:22 PM: 
  0     0    0     0    0     0      0      0 --:--:-- --:-
9:33:22 PM: -:-- --:--:--     0
100   633  100   633    0     0   2537      0 --:--:-- --:--:-- --:--:--  618k
9:33:22 PM: 
100   832  100   832    0     0   2894      0 --:--:-- --:--:-- --:--:--  28
9:33:22 PM: 94
9:33:22 PM: > Verifying integrity...
9:33:22 PM: gpg: Signature made Fri 03 Aug 2018 07:53:36 PM UTC using RSA key ID B6FF4DE3
9:33:22 PM: gpg: Good signature from "Yarn Packaging <yarn@dan.cx>"
9:33:22 PM: gpg: Note: This key has expired!
9:33:22 PM: Primary key fingerprint: 72EC F46A 56B4 AD39 C907  BBB7 1646 B01B 86E5
9:33:22 PM:  0310
9:33:22 PM:      Subkey fingerprint: E219 30C4 D0A4 AA46 1858  1F7A E074 D16E B6FF 4DE3
9:33:22 PM: > GPG signature looks good
9:33:22 PM: > Extracting to ~/.yarn...
9:33:22 PM: > Adding to $PATH...
9:33:23 PM: > Successfully installed Yarn 1.9.4! Please open another terminal where the `yarn` command will now be available.
9:33:23 PM: Installing NPM modules using Yarn version 1.9.4
9:33:24 PM: yarn install v1.9.4
9:33:24 PM: [1/4] Resolving packages...
9:33:25 PM: [2/4] Fetching packages...
9:33:25 PM: (node:1378) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.
9:33:50 PM: info fsevents@2.1.2: The platform "linux" is incompatible with this module.
9:33:50 PM: info "fsevents@2.1.2" is an optional dependency and failed compatibility check. Excluding it from installation.
9:33:50 PM: info fsevents@1.2.11: The platform "linux" is incompatible with this module.
9:33:50 PM: info "fsevents@1.2.11" is an optional dependency and failed compatibility check. Excluding it from installation.
9:33:50 PM: [3/4] Linking dependencies...
9:33:50 PM: warning "gatsby > @pmmmwh/react-refresh-webpack-plugin@0.2.0" has unmet peer dependency "sockjs-client@^1.4.0".
9:33:50 PM: warning "gatsby > react-hot-loader@4.12.20" has unmet peer dependency "@types/react@^15.0.0 || ^16.0.0".
9:33:50 PM: warning "gatsby > @typescript-eslint/eslint-plugin > tsutils@3.17.1" has unmet peer dependency "typescript@>=2.8.0 || >= 3.2.0-dev || >= 3.3.0-dev || >= 3.4.0-dev || >= 3.5.0-dev || >= 3.6.0-dev || >= 3.6.0-beta || >= 3.7.0-dev || >= 3.7.0-beta".
9:33:50 PM: warning "gatsby > gatsby-cli > ink@2.7.1" has unmet peer dependency "@types/react@>=16.8.0".
9:33:50 PM: warning "gatsby > socket.io > engine.io > ws@7.2.3" has unmet peer dependency "bufferutil@^4.0.1".
9:33:50 PM: warning "gatsby > socket.io > engine.io > ws@7.2.3" has unmet peer dependency "utf-8-validate@^5.0.2".
9:33:50 PM: warning "gatsby-plugin-netlify > webpack-assets-manifest@3.1.1" has unmet peer dependency "webpack@>=4.4.0".
9:33:50 PM: warning "gatsby-plugin-sass > sass-loader@7.3.1" has unmet peer dependency "webpack@^3.0.0 || ^4.0.0".
9:33:50 PM: warning " > lodash-webpack-plugin@0.11.5" has unmet peer dependency "webpack@^2.0.0 || ^3.0.0 || ^4.0.0".
9:33:50 PM: warning "netlify-cms-app > netlify-cms-widget-code@1.1.4" has unmet peer dependency "codemirror@^5.46.0".
9:33:50 PM: warning "netlify-cms-app > netlify-cms-widget-code > react-codemirror2@6.0.1" has unmet peer dependency "codemirror@5.x".
9:33:50 PM: warning "netlify-cms-app > netlify-cms-core > redux-notifications > react-redux@4.4.10" has incorrect peer dependency "redux@^2.0.0 || ^3.0.0".
9:33:50 PM: warning " > netlify-cms-media-library-cloudinary@1.3.4" has unmet peer dependency "netlify-cms-lib-util@^2.1.3-beta.0".
9:34:06 PM: [4/4] Building fresh packages...
9:34:12 PM: Done in 48.53s.
9:34:12 PM: NPM modules installed using Yarn
9:34:13 PM: Started restoring cached go cache
9:34:13 PM: Finished restoring cached go cache
9:34:13 PM: unset GOOS;
9:34:13 PM: unset GOARCH;
9:34:13 PM: export GOROOT='/opt/buildhome/.gimme/versions/go1.12.linux.amd64';
9:34:13 PM: export PATH="/opt/buildhome/.gimme/versions/go1.12.linux.amd64/bin:${PATH}";
9:34:13 PM: go version >&2;
9:34:13 PM: export GIMME_ENV='/opt/buildhome/.gimme/env/go1.12.linux.amd64.env';
9:34:13 PM: go version go1.12 linux/amd64
9:34:13 PM: Installing missing commands
9:34:13 PM: Verify run directory
9:34:13 PM: Executing user command: npm run build
9:34:13 PM: > gatsby-starter-netlify-cms@1.1.3 build /opt/build/repo
9:34:13 PM: > npm run clean && gatsby build
9:34:13 PM: > gatsby-starter-netlify-cms@1.1.3 clean /opt/build/repo
9:34:13 PM: > gatsby clean
9:34:14 PM: info Deleting .cache, public
9:34:14 PM: info Successfully deleted directories
9:34:17 PM: success open and validate gatsby-configs - 0.079s
9:34:18 PM: success load plugins - 1.283s
9:34:18 PM: success onPreInit - 0.013s
9:34:18 PM: success delete html and css files from previous builds - 0.018s
9:34:18 PM: success initialize cache - 0.009s
9:34:18 PM: success copy gatsby files - 0.036s
9:34:18 PM: success onPreBootstrap - 0.004s
9:34:18 PM: success createSchemaCustomization - 0.021s
9:34:18 PM: success source and transform nodes - 0.228s
9:34:19 PM: success building schema - 0.427s
9:34:19 PM: success createPages - 0.178s
9:34:19 PM: success createPagesStatefully - 0.120s
9:34:19 PM: success onPreExtractQueries - 0.000s
9:34:19 PM: success update schema - 0.067s
9:34:20 PM: success extract queries from components - 0.485s
9:34:20 PM: success write out requires - 0.004s
9:34:20 PM: success write out redirect data - 0.001s
9:34:20 PM: success onPostBootstrap - 0.000s
9:34:20 PM: ⠀
9:34:20 PM: info bootstrap finished - 5.551 s
9:34:20 PM: ⠀
9:34:27 PM: error UNHANDLED EXCEPTION Callback was already called.
9:34:27 PM: 
9:34:27 PM:   Error: Callback was already called.
9:34:27 PM:   
9:34:27 PM:   - async.js:16 throwError
9:34:27 PM:     [repo]/[neo-async]/async.js:16:11
9:34:27 PM:   
9:34:27 PM:   - async.js:2818 
9:34:27 PM:     [repo]/[neo-async]/async.js:2818:7
9:34:27 PM:   
9:34:27 PM:   - next_tick.js:61 process._tickCallback
9:34:27 PM:     internal/process/next_tick.js:61:11
9:34:27 PM:   
9:34:27 PM: 
9:34:27 PM: not finished run queries - 7.649s
9:34:27 PM: not finished Generating image thumbnails - 7.614s
9:34:27 PM: not finished Building production JavaScript and CSS bundles - 7.505s
9:34:27 PM: npm
9:34:27 PM:  ERR! code ELIFECYCLE
9:34:27 PM: npm ERR! errno 1
9:34:27 PM: npm
9:34:27 PM:  ERR! gatsby-starter-netlify-cms@1.1.3 build: `npm run clean && gatsby build`
9:34:27 PM: npm ERR!
9:34:27 PM:  Exit status 1
9:34:27 PM: npm ERR!
9:34:27 PM: npm ERR!
9:34:27 PM:  Failed at the gatsby-starter-netlify-cms@1.1.3 build script.
9:34:27 PM: npm ERR!
9:34:27 PM:  This is probably not a problem with npm. There is likely additional logging output above.
9:34:27 PM: npm
9:34:27 PM: ERR! A complete log of this run can be found in:
9:34:27 PM: npm ERR!     /opt/buildhome/.npm/_logs/2020-04-21T19_34_27_963Z-debug.log
9:34:27 PM: Function Dir: /opt/build/repo/lambda
9:34:27 PM: TempDir: /tmp/zisi-5e9f4a752d5918616f98000b
9:34:28 PM: Prepping functions with zip-it-and-ship-it 0.3.1
9:34:28 PM: [ { path: '/tmp/zisi-5e9f4a752d5918616f98000b/hello.zip',
9:34:28 PM:     runtime: 'js' } ]
9:34:28 PM: Prepping functions complete
9:34:28 PM: Caching artifacts
9:34:28 PM: Started saving node modules
9:34:28 PM: Finished saving node modules
9:34:28 PM: Started saving yarn cache
9:34:28 PM: Finished saving yarn cache
9:34:28 PM: Started saving pip cache
9:34:29 PM: Finished saving pip cache
9:34:29 PM: Started saving emacs cask dependencies
9:34:29 PM: Finished saving emacs cask dependencies
9:34:29 PM: Started saving maven dependencies
9:34:29 PM: Finished saving maven dependencies
9:34:29 PM: Started saving boot dependencies
9:34:29 PM: Finished saving boot dependencies
9:34:29 PM: Started saving go dependencies
9:34:29 PM: Finished saving go dependencies
9:34:34 PM: Error running command: Build script returned non-zero exit code: 1
9:34:34 PM: Failing build: Failed to build site
9:34:34 PM: failed during stage 'building site': Build script returned non-zero exit code: 1
9:34:34 PM: Finished processing build request in 1m23.318321705s

Thanks for reporting this @probablyvincent and welcome to the community!
I’m experiencing the same issue and had seen it before with outdated dependencies. I’ll try to update the repo reps and update if it solves the issue.

Update: submitted a fix for that repo https://github.com/netlify-templates/gatsby-starter-netlify-cms/pull/552 but you could apply the same update to your repo to fix that error.

1 Like

I encountered the same issue trying gatsby-starter-netlify-cms for the first time today.

Using Node.js 12 fixes the initial build, but subsequent builds fail with the same error unless I use “Trigger deploy → Clear cache and deploy site” from the site’s dashboard, which is a bit of a pain as I’m trying out netlify-cms for non-technical users who won’t have access to do that.

7:47:09 PM: error UNHANDLED EXCEPTION Callback was already called.
7:47:09 PM: 
7:47:09 PM:   Error: Callback was already called.
7:47:09 PM:   
7:47:09 PM:   - async.js:16 throwError
7:47:09 PM:     [repo]/[neo-async]/async.js:16:11
7:47:09 PM:   
7:47:09 PM:   - async.js:2818 
7:47:09 PM:     [repo]/[neo-async]/async.js:2818:7
7:47:09 PM:   
7:47:09 PM:   - task_queues.js:79 processTicksAndRejections
7:47:09 PM:     internal/process/task_queues.js:79:11
7:47:09 PM:   
7:47:09 PM: 
7:47:09 PM: not finished run queries - 4.495s

Thanks @jbscript, will look into it.

I just fixed my cached build issues by removing yarn from the equation (deleting yarn.lock and removing all YARN_* config from netlify.toml)

Thanks for sharing @jbscript. Your solution makes it more evident that this is a dependency related issue. I won’t stay with it for the long run as it doesn’t guarantee reproducible builds (each build might be built with different dependencies that are determined during the evaluation of the package.json file).

Update: @jbscript subsequent builds are working for me with Node 12 and yarn 1.22.4.
Can you share a repo/scenario that reproduces the issue you’re experiencing?

1 Like

I’m having the same issue, with error UNHANDLED EXCEPTION Callback was already called on a first time deploy from clicking through https://www.netlifycms.org/docs/start-with-a-template but strangely I also found that the repository that was created as part of the process was empty after the failed deploy, so wasn’t able to apply any fixes directly. I ended up having to copy the code over from https://github.com/netlify-templates/gatsby-starter-netlify-cms into that existing repository first. Then I applied your PR @erez.

Same problem for me with github or gitlab, using the template :

https://app.netlify.com/start/deploy?repository=https://github.com/AustinGreen/gatsby-starter-netlify-cms&stack=cms

So what should I do because I didn’t understand quite well the messages above ?
Thanks

12:42:35 PM: Build ready to start
12:42:37 PM: build-image version: 2dbd444fcdce00cf06325060a8238d5ae3e86774
12:42:37 PM: build-image tag: v3.3.7
12:42:37 PM: buildbot version: e2864b9f6fb42f8598086b4caa617ac9e650a222
12:42:37 PM: Fetching cached dependencies
12:42:37 PM: Failed to fetch cache, continuing with build
12:42:37 PM: Starting to prepare the repo for build
12:42:37 PM: No cached dependencies found. Cloning fresh repo
12:42:37 PM: git clone https://github.com/AustinGreen/gatsby-starter-netlify-cms
12:42:39 PM: Preparing Git Reference refs/heads/master
12:42:40 PM: Found Netlify configuration file netlify.toml in site root
12:42:40 PM: Found Netlify configuration file(s). Overriding site configuration
12:42:40 PM: Different functions path detected, going to use the one specified in the Netlify configuration file: 'lambda' versus '' in the Netlify UI
12:42:40 PM: Creating functions prep folder
12:42:40 PM: Starting build script
12:42:40 PM: Installing dependencies
12:42:41 PM: Downloading and installing node v10.20.1...
12:42:41 PM: Downloading https://nodejs.org/dist/v10.20.1/node-v10.20.1-linux-x64.tar.xz...
12:42:41 PM: 
###################################                                       49.3%
12:42:41 PM: 
#############################################
12:42:41 PM: ########################### 100.0%
12:42:41 PM: Computing checksum with sha256sum
12:42:41 PM: Checksums matched!
12:42:44 PM: Now using node v10.20.1 (npm v6.14.4)
12:42:44 PM: Attempting ruby version 2.6.2, read from environment
12:42:45 PM: Using ruby version 2.6.2
12:42:45 PM: Using PHP version 5.6
12:42:45 PM: Started restoring cached node modules
12:42:45 PM: Finished restoring cached node modules
12:42:45 PM: Started restoring cached yarn cache
12:42:45 PM: Finished restoring cached yarn cache
12:42:45 PM: Installing yarn at version 1.9.4
12:42:45 PM: Installing Yarn!
12:42:45 PM: > Downloading tarball...
12:42:45 PM: [1/2]: https://yarnpkg.com/downloads/1.9.4/yarn-v1.9.4.tar.gz --> /tmp/yarn.tar.gz.YxkEjvf2cu
12:42:45 PM:   % Total
12:42:45 PM:   % Received % Xferd  Average Spe
12:42:45 PM: ed   Time    Time     Time
12:42:45 PM:   Current
12:42:45 PM:                   Dload
12:42:45 PM:  Upload   Total   S
12:42:45 PM: pent    Left  Speed
12:42:45 PM: 
  0     0    0
12:42:45 PM:     0    0     0
12:42:45 PM:  0      0 --:--:-- --
12:42:45 PM: :--:-- --:-
12:42:45 PM: -:--     0
12:42:46 PM: 
100    78  100    78    0     0
12:42:46 PM:     229      0 --:--:-- --:--:-- --:--:--   230
12:42:46 PM: 
100    91  100    91    0     0    1
12:42:46 PM: 38      0 --:--:-- --:--:-- --:--:--   138
12:42:47 PM: 0
12:42:47 PM:     0
12:42:47 PM:   0     0    0     0      0      0 --:--:--  0:00:01 --:--:--
12:42:47 PM:  0
12:42:47 PM: 
100
12:42:47 PM:   629  100   629
12:42:47 PM:    0     0    591      0  0:00:01  0:00:01 --:--:--  614k
12:42:47 PM: 
100  915k  100  915k    0     0   622k      0  0:00
12:42:47 PM: :01  0:00:01 --:--:--  622k
12:42:47 PM: [2/2]: https://yarnpkg.com/downloads/1.9.4/yarn-v1.9.4.tar.gz.a
12:42:47 PM: sc --> /tmp/yarn.tar.gz.YxkEjvf2cu.asc
12:42:47 PM: 
100    82  100    82    0     0    962      0 --:--:-- -
12:42:47 PM: -:--:-- --:--:--   962
12:42:47 PM: 1
12:42:47 PM: 00    95  100    95    0     0    819      0 --:--:--
12:42:47 PM: --:--:-- --:--:--   819
12:42:47 PM: 
100   633  100   633    0     0   2188
12:42:47 PM: 0 --:--:-- --:--:-- --:--:--  2188
12:42:47 PM: 
100   832  100   832    0     0   2395      0 --
12:42:47 PM: :--:-- --:--:-- --:--:--  2395
12:42:47 PM: > Verifying integrity...
12:42:47 PM: gpg:
12:42:47 PM: Signature made Fri 03 Aug 2018 07:53:36 PM UTC using RSA key ID B6FF4DE3
12:42:47 PM: gpg: Good signature from "Yarn Packaging <yarn@dan.cx>"
12:42:47 PM: gpg: Note: This key has expired!
12:42:47 PM: Primary key fingerprint: 72EC F46A 56B4 AD39 C907
12:42:47 PM:   BBB7 1646 B01B 86E5 0310
12:42:47 PM:      Subkey fingerprint: E219 30C4 D0A4 AA46 1858  1F7A E074 D16E B6FF 4DE3
12:42:47 PM: > GPG signature looks good
12:42:47 PM: > Extracting to ~/.yarn...
12:42:47 PM: > Adding to $PATH...
12:42:48 PM: > Successfully installed Yarn 1.9.4! Please open another terminal where the `yarn` command will now be available.
12:42:48 PM: Installing NPM modules using Yarn version 1.9.4
12:42:49 PM: yarn install v1.9.4
12:42:49 PM: [1/4] Resolving packages...
12:42:49 PM: [2/4] Fetching packages...
12:42:50 PM: (node:1375) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.
12:43:11 PM: info fsevents@2.1.2: The platform "linux" is incompatible with this module.
12:43:11 PM: info "fsevents@2.1.2" is an optional dependency and failed compatibility check. Excluding it from installation.
12:43:11 PM: info fsevents@1.2.11: The platform "linux" is incompatible with this module.
12:43:11 PM: info "fsevents@1.2.11" is an optional dependency and failed compatibility check. Excluding it from installation.
12:43:11 PM: [3/4] Linking dependencies...
12:43:11 PM: warning "gatsby > @pmmmwh/react-refresh-webpack-plugin@0.2.0" has unmet peer dependency "sockjs-client@^1.4.0".
12:43:11 PM: warning "gatsby > react-hot-loader@4.12.20" has unmet peer dependency "@types/react@^15.0.0 || ^16.0.0".
12:43:11 PM: warning "gatsby > @typescript-eslint/eslint-plugin > tsutils@3.17.1" has unmet peer dependency "typescript@>=2.8.0 || >= 3.2.0-dev || >= 3.3.0-dev || >= 3.4.0-dev || >= 3.5.0-dev || >= 3.6.0-dev || >= 3.6.0-beta || >= 3.7.0-dev || >= 3.7.0-beta".
12:43:11 PM: warning "gatsby > gatsby-cli > ink@2.7.1" has unmet peer dependency "@types/react@>=16.8.0".
12:43:11 PM: warning "gatsby > socket.io > engine.io > ws@7.2.3" has unmet peer dependency "bufferutil@^4.0.1".
12:43:11 PM: warning "gatsby > socket.io > engine.io > ws@7.2.3" has unmet peer dependency "utf-8-validate@^5.0.2".
12:43:11 PM: warning "gatsby-plugin-netlify > webpack-assets-manifest@3.1.1" has unmet peer dependency "webpack@>=4.4.0".
12:43:11 PM: warning "gatsby-plugin-sass > sass-loader@7.3.1" has unmet peer dependency "webpack@^3.0.0 || ^4.0.0".
12:43:11 PM: warning " > lodash-webpack-plugin@0.11.5" has unmet peer dependency "webpack@^2.0.0 || ^3.0.0 || ^4.0.0".
12:43:11 PM: warning "netlify-cms-app > netlify-cms-widget-code@1.1.4" has unmet peer dependency "codemirror@^5.46.0".
12:43:11 PM: warning "netlify-cms-app > netlify-cms-widget-code > react-codemirror2@6.0.1" has unmet peer dependency "codemirror@5.x".
12:43:11 PM: warning "netlify-cms-app > netlify-cms-core > redux-notifications > react-redux@4.4.10" has incorrect peer dependency "redux@^2.0.0 || ^3.0.0".
12:43:11 PM: warning " > netlify-cms-media-library-cloudinary@1.3.4" has unmet peer dependency "netlify-cms-lib-util@^2.1.3-beta.0".
12:43:25 PM: [4/4] Building fresh packages...
12:43:31 PM: Done in 42.21s.
12:43:31 PM: NPM modules installed using Yarn
12:43:31 PM: Started restoring cached go cache
12:43:31 PM: Finished restoring cached go cache
12:43:31 PM: unset GOOS;
12:43:31 PM: unset GOARCH;
12:43:31 PM: export GOROOT='/opt/buildhome/.gimme/versions/go1.12.linux.amd64';
12:43:31 PM: export PATH="/opt/buildhome/.gimme/versions/go1.12.linux.amd64/bin:${PATH}";
12:43:31 PM: go version >&2;
12:43:31 PM: export GIMME_ENV='/opt/buildhome/.gimme/env/go1.12.linux.amd64.env';
12:43:31 PM: go version go1.12 linux/amd64
12:43:31 PM: Installing missing commands
12:43:31 PM: Verify run directory
12:43:31 PM: Executing user command: npm run build
12:43:32 PM: > gatsby-starter-netlify-cms@1.1.3 build /opt/build/repo
12:43:32 PM: > npm run clean && gatsby build
12:43:32 PM: > gatsby-starter-netlify-cms@1.1.3 clean /opt/build/repo
12:43:32 PM: > gatsby clean
12:43:32 PM: info Deleting .cache, public
12:43:32 PM: info Successfully deleted directories
12:43:35 PM: success open and validate gatsby-configs - 0.055s
12:43:36 PM: success load plugins - 1.111s
12:43:36 PM: success onPreInit - 0.011s
12:43:36 PM: success delete html and css files from previous builds - 0.013s
12:43:36 PM: success initialize cache - 0.007s
12:43:36 PM: success copy gatsby files - 0.026s
12:43:36 PM: success onPreBootstrap - 0.003s
12:43:36 PM: success createSchemaCustomization - 0.013s
12:43:36 PM: success source and transform nodes - 0.174s
12:43:36 PM: success building schema - 0.300s
12:43:36 PM: success createPages - 0.100s
12:43:36 PM: success createPagesStatefully - 0.147s
12:43:36 PM: success onPreExtractQueries - 0.000s
12:43:36 PM: success update schema - 0.036s
12:43:37 PM: success extract queries from components - 0.365s
12:43:37 PM: success write out requires - 0.003s
12:43:37 PM: success write out redirect data - 0.001s
12:43:37 PM: success onPostBootstrap - 0.000s
12:43:37 PM: ⠀
12:43:37 PM: info bootstrap finished - 4.475 s
12:43:37 PM: ⠀
12:43:43 PM: error UNHANDLED EXCEPTION Callback was already called.
12:43:43 PM: 
12:43:43 PM:   Error: Callback was already called.
12:43:43 PM:   
12:43:43 PM:   - async.js:16 throwError
12:43:43 PM:     [repo]/[neo-async]/async.js:16:11
12:43:43 PM:   
12:43:43 PM:   - async.js:2818 
12:43:43 PM:     [repo]/[neo-async]/async.js:2818:7
12:43:43 PM:   
12:43:43 PM:   - next_tick.js:61 process._tickCallback
12:43:43 PM:     internal/process/next_tick.js:61:11
12:43:43 PM:   
12:43:43 PM: 
12:43:43 PM: not finished run queries - 6.160s
12:43:43 PM: not finished Generating image thumbnails - 6.121s
12:43:43 PM: not finished Building production JavaScript and CSS bundles - 6.034s
12:43:43 PM: npm
12:43:43 PM: ERR! code ELIFECYCLE
12:43:43 PM: npm
12:43:43 PM: ERR! errno
12:43:43 PM:  1
12:43:43 PM: npm ERR!
12:43:43 PM:  gatsby-starter-netlify-cms@1.1.3 build: `npm run clean && gatsby build`
12:43:43 PM: npm ERR!
12:43:43 PM:  Exit status 1
12:43:43 PM: npm ERR!
12:43:43 PM: npm ERR!
12:43:43 PM:  Failed at the gatsby-starter-netlify-cms@1.1.3 build script.
12:43:43 PM: npm ERR!
12:43:43 PM:  This is probably not a problem with npm. There is likely additional logging output above.
12:43:43 PM: npm
12:43:43 PM:  ERR! A complete log of this run can be found in:
12:43:43 PM: npm ERR!
12:43:43 PM:      /opt/buildhome/.npm/_logs/2020-04-25T10_43_43_670Z-debug.log
12:43:43 PM: Function Dir: /opt/build/repo/lambda
12:43:43 PM: TempDir: /tmp/zisi-5ea4141ba4028d5dd738c2f7
12:43:44 PM: Prepping functions with zip-it-and-ship-it 0.3.1
12:43:44 PM: [ { path: '/tmp/zisi-5ea4141ba4028d5dd738c2f7/hello.zip',
12:43:44 PM:     runtime: 'js' } ]
12:43:44 PM: Prepping functions complete
12:43:44 PM: Caching artifacts
12:43:44 PM: Started saving node modules
12:43:44 PM: Finished saving node modules
12:43:44 PM: Started saving yarn cache
12:43:44 PM: Finished saving yarn cache
12:43:44 PM: Started saving pip cache
12:43:44 PM: Finished saving pip cache
12:43:44 PM: Started saving emacs cask dependencies
12:43:44 PM: Finished saving emacs cask dependencies
12:43:44 PM: Started saving maven dependencies
12:43:44 PM: Finished saving maven dependencies
12:43:44 PM: Started saving boot dependencies
12:43:44 PM: Finished saving boot dependencies
12:43:44 PM: Started saving go dependencies
12:43:44 PM: Finished saving go dependencies
12:43:48 PM: Error running command: Build script returned non-zero exit code: 1
12:43:48 PM: Failing build: Failed to build site
12:43:48 PM: failed during stage 'building site': Build script returned non-zero exit code: 1
12:43:48 PM: Finished processing build request in 1m11.086406446s

Hi everyone!

The PR #552 was merged in into the starter. Let us know if the issue still persists

2 Likes